<template>
  <div>
    <a-modal centered :title="title" :width="1000" :visible="visible" :footer="null" @cancel="handleCancel"
      cancelText="关闭">
      <!-- table区域-begin -->
      <div>
        <a-table size="small" bordered rowKey="id" :columns="columns" :dataSource="dataSource1"
          :pagination="ipagination" :loading="loading" @change="handleTableChange">
          <span slot="balanceStatus" slot-scope="text, record">
          <a-tag color="blue" v-if="record.balanceStatus === 2">结算待审核</a-tag>
          <a-tag color="green" v-else-if="record.balanceStatus === 3">已结算</a-tag>
          <a-tag color="red" v-else-if="record.balanceStatus === 4">结算驳回</a-tag>
        </span>
        </a-table>
      </div>
      <!-- table区域-end -->

    </a-modal>
  </div>
</template>

<script>
import { filterObj } from '@/utils/util'
import { getAction } from '@/api/manage'

export default {
  name: 'ShareBalanceModal',
  data() {
    return {
      title: '推广费用明细',
      names: [],
      visible: false,
      // 查询条件
      queryParam: {},
      // 表头
      columns: [
        {
          title: '结算单号',
          dataIndex: 'balanceNum',
          key: 'balanceNum',
          align: 'center',
        },
        {
          title: '提交时间',
          dataIndex: 'createTime',
          key: 'createTime',
          align: 'center',
        },
        {
          title: '提交人',
          dataIndex: 'createBy',
          key: 'createBy',
          align: 'center',
        },
        {
          title: '结算总金额',
          dataIndex: 'balanceMoney',
          key: 'balanceMoney',
          align: 'center',
        },
        // {
        //   title: '账单数量',
        //   dataIndex: 'balanceCount',
        //   key: 'balanceCount',
        //   align: 'center',
        // },
        {
          title: '结算方式',
          dataIndex: 'balanceWay',
          key: 'balanceWay',
          align: 'center',
        },
        {
          title: '结算状态',
          dataIndex: 'balanceStatus',
          scopedSlots: { customRender: 'balanceStatus' },
          key: 'balanceStatus',
          align: 'center',
        },
      ],

      //数据集
      dataSource1: [],
      // 分页参数
      ipagination: {
        current: 1,
        pageSize: 10,
        pageSizeOptions: ['10', '20', '30'],
        showTotal: (total, range) => {
          return range[0] + '-' + range[1] + ' 共' + total + '条'
        },
        showQuickJumper: true,
        showSizeChanger: true,
        total: 0,
      },
      isorter: {
        column: 'createTime',
        order: 'desc',
      },
      loading: false,
      selectedRowKeys: [],
      selectedRows: [],
      selectedShops: {},
      url: {
        list: '/property-central/partners/shareBalance/listBalance',
      },
      platformCode: '',
    }
  },
  methods: {
    show(platformCode) {
      this.platformCode = platformCode
      this.visible = true
    },
    searchQuery() {
      this.loadData(1)
    },
    searchReset() {
      this.queryParam = {}
      this.loadData(1)
    },
    handleCancel() {
      this.visible = false
    },

    loadData(arg) {
      //加载数据 若传入参数1则加载第一页的内容
      if (arg === 1) {
        this.ipagination.current = 1
      }
      var params = this.getQueryParams() //查询条件
      params.platformCode = this.platformCode
      params.platformType = 'partner'
      params.balanceStatus = 3
      getAction(this.url.list, params).then((res) => {
        if (res.success) {
          this.dataSource1 = res.result.records
          this.ipagination.total = res.result.total
        }
      })
    },
    getQueryParams() {
      var param = Object.assign({}, this.queryParam, this.isorter)
      param.pageNo = this.ipagination.current
      param.pageSize = this.ipagination.pageSize
      return filterObj(param)
    },
    handleTableChange(pagination, filters, sorter) {
      //分页、排序、筛选变化时触发
      console.log(sorter)
      //TODO 筛选
      if (Object.keys(sorter).length > 0) {
        this.isorter.column = sorter.field
        this.isorter.order = 'ascend' == sorter.order ? 'asc' : 'desc'
      }
      this.ipagination = pagination
      this.loadData()
    },
  },
  watch: {
    visible() {
      if (this.visible) {
        this.loadData(1)
      }
    },
  },
}
</script>
<style lang="less" scoped>
.ant-card-body .table-operator {
  margin-bottom: 18px;
}

.ant-table-tbody .ant-table-row td {
  padding-top: 15px;
  padding-bottom: 15px;
}

.anty-row-operator button {
  margin: 0 5px;
}

.ant-btn-danger {
  background-color: #ffffff;
}

.ant-modal-cust-warp {
  height: 100%;
}

.ant-modal-cust-warp .ant-modal-body {
  height: calc(100% - 110px) !important;
  overflow-y: auto;
}

.ant-modal-cust-warp .ant-modal-content {
  height: 90% !important;
  overflow-y: hidden;
}
</style>